View Issue Details

IDProjectCategoryView StatusLast Update
0005405Multi Theft Auto : EditorMap Editorpublic2010-10-21 17:54
ReporterScriptmanAssigned ToGamesnert 
PrioritynormalSeveritymajorReproducibilityrandom
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS VersionLenny
Product Version 
Target Version2.0Fixed in Version2.0 
Summary0005405: Joining in the map editor sometimes spawns you in the wrong dimension
Description

When you connect to the server when the editor mode is on, you are in dimension 0, all other players / objects are in dimension 200.

Steps To Reproduce

Reproduce: Start editor mode, then reconnect.

TagsNo tags attached.

Relationships

related to 0005478 resolvedGamesnert Multi Theft Auto : Editor Slightly oversized patch for the map editor 
child of 0002949 closed Multi Theft Auto : San Andreas Map editor issues 

Activities

Gamesnert

2010-06-19 18:19

reporter   ~~0011615

Last edited: 2010-06-19 18:20

I've tracked the bug down related to test mode. If the test mode has been activated once, a variable will have either "map" or "gamemode" as value. But this is never reset, making the join code think testing mode is still active and not spawning the player.

Patch right over here:
http://dl.dropbox.com/u/4504893/patches/joindimensionfix.patch

EDIT: I believe I should add, that the patch should be applied in the root folder of the editor_main resource

Scriptman

2010-06-19 18:48

viewer   ~~0011616

Thank you, this patch fixed the issue.

Gamesnert

2010-07-17 00:16

reporter   ~~0011764

Please retest in map editor r622

Issue History

Date Modified Username Field Change